# Contributing to WeatherFlow

Thank you for your interest in contributing to WeatherFlow! This guide will help you get started.

## Development Setup

1. Fork and clone the repository:

2. Create a virtual environment:

3. Install development dependencies:

## Development Workflow

1. Create a new branch:

2. Make your changes and write tests

3. Run tests:

4. Format code:

5. Submit a pull request

## Code Style

- Follow PEP 8
- Use type hints
- Write docstrings (Google style)
- Add tests for new features

## Adding New Features

### New Models
- Add to `weatherflow/models/`
- Include physics constraints
- Add tests
- Update documentation

### New Visualizations
- Add to `weatherflow/utils/visualization.py`
- Support common weather variables
- Include examples

## Running Tests


## Questions?

Feel free to open an issue for questions or join our discussions!
